Mailinglist Archive: opensuse-updates (94 mails)

< Previous Next >
openSUSE-RU-2012:1471-1: moderate: postgresql: Update to 9.1.6 and change of the packaging scheme
openSUSE Recommended Update: postgresql: Update to 9.1.6 and change of the
packaging scheme
______________________________________________________________________________

Announcement ID: openSUSE-RU-2012:1471-1
Rating: moderate
References: #782251
Affected Products:
openSUSE 12.1
______________________________________________________________________________

An update that has one recommended fix can now be installed.

Description:

This update splits the init script and other infrastructure
from the postgresql-server. It updates postgresql to
version 9.1.6, too. postgresql:
- is a dummy-package which requires the new package
postgresql91

postgresql91 (new package):
- Bugfix release 9.1.6 (bnc#782251) to fix data
corruption issues.
* Users who upgrade from a previous 9.1 release should
run REINDEX after applying this update. See also:
http://wiki.postgresql.org/wiki/20120924updaterelease
* For the full list of changes, see
http://www.postgresql.org/docs/9.1/static/release.html
- Change the base name of all PostgreSQL packages from
postgresql to postgresql91 and adopt the new packaging
schema, which allows the parallel installation of
multiple PostgreSQL versions to simplify and speedup
migration.
- Move init script, sysconfig file and firewall
configuration into a new package called postgresql-init
which can work with different PostgreSQL versions.

postgresql-init (new package):
- separated from server


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-774

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.1 (i586 x86_64):

libecpg6-9.1.6-9.1
libecpg6-debuginfo-9.1.6-9.1
libpq5-9.1.6-9.1
libpq5-debuginfo-9.1.6-9.1
postgresql-9.1.5+9.1-3.14.1
postgresql-contrib-9.1.5+9.1-3.14.1
postgresql-devel-9.1.5+9.1-3.14.1
postgresql-plperl-9.1.5+9.1-3.14.1
postgresql-plpython-9.1.5+9.1-3.14.1
postgresql-pltcl-9.1.5+9.1-3.14.1
postgresql-server-9.1.5+9.1-3.14.1
postgresql91-9.1.6-9.1
postgresql91-contrib-9.1.6-9.1
postgresql91-contrib-debuginfo-9.1.6-9.1
postgresql91-debuginfo-9.1.6-9.1
postgresql91-debugsource-9.1.6-9.1
postgresql91-devel-9.1.6-9.1
postgresql91-devel-debuginfo-9.1.6-9.1
postgresql91-libs-debugsource-9.1.6-9.1
postgresql91-plperl-9.1.6-9.1
postgresql91-plperl-debuginfo-9.1.6-9.1
postgresql91-plpython-9.1.6-9.1
postgresql91-plpython-debuginfo-9.1.6-9.1
postgresql91-pltcl-9.1.6-9.1
postgresql91-pltcl-debuginfo-9.1.6-9.1
postgresql91-server-9.1.6-9.1
postgresql91-server-debuginfo-9.1.6-9.1

- openSUSE 12.1 (x86_64):

libecpg6-32bit-9.1.6-9.1
libecpg6-debuginfo-32bit-9.1.6-9.1
libpq5-32bit-9.1.6-9.1
libpq5-debuginfo-32bit-9.1.6-9.1
postgresql91-devel-32bit-9.1.6-9.1
postgresql91-devel-debuginfo-32bit-9.1.6-9.1

- openSUSE 12.1 (noarch):

postgresql-docs-9.1.5+9.1-3.14.1
postgresql-init-9.2-0.6.2.1
postgresql91-docs-9.1.6-9.1

- openSUSE 12.1 (ia64):

libecpg6-debuginfo-x86-9.1.6-9.1
libecpg6-x86-9.1.6-9.1
libpq5-debuginfo-x86-9.1.6-9.1
libpq5-x86-9.1.6-9.1
postgresql91-devel-debuginfo-x86-9.1.6-9.1


References:

https://bugzilla.novell.com/782251


< Previous Next >
This Thread
  • No further messages